[ubuntu-it] Interruzione collegamento adsl durante aggiornamento

Mattia Rizzolo mapreri a ubuntu.com
Mar 3 Giu 2014 16:40:21 UTC


2014-06-03 14:56 GMT+02:00 Rio Severo <riosevero a gmail.com>:
> Quello che credo sia avvenuto oggi  che il pacchetto di ubuntu  stato
> installato ma probabilmente doveva essere configurato (?).

indeed.

> Successivamente  stato lanciato l'installer di Java che dopo una serie di
> operazioni ha cominciato a scaricare.

questa  un'operazione che i pacchetti non dovrebbero fare. mai.
l'unico pacchetto di cui ero a conoscenza facesse ci 
flashplugin-installer, dato che per motivi legali non pu essere messo
in archivio.

> Quando questo download si  interrotto la finestra dell'updater si 
> bloccata e non ha ripreso a scaricare anche con la connessione ristabilita.

questo si chiama bug. se l'installer non rileva pi connessione deve
semplicemente fallire e lasciare il pacchetto non configurato.

> Ho dovuto dare un restart ed al riavvio lanciando l'updater di ubuntu mi ha
> dato degli errori, da questo ho dedotto che l'aggiornamento del pacchetto di
> ubuntu non era stato corretto.
>
> Questa  la prima parte del log di apt ma non vedo il primo pacchetto prima
> di java e la cosa mi preoccupa:
> Start-Date: 2014-06-03  09:30:15
> Commandline: aptdaemon role='role-commit-packages' sender=':1.480'
> Upgrade: oracle-java7-installer:i386 (7u55-0~webupd8~1, 7u60-0~webupd8~0),

omg, webup8 -.-''
Penso che da quel sito vengano i pacchetti con il pi alto numero di
errori. proprio ieri gli ho fatto notare in un commento a un post come
i loro pacchetti fossero di scarsa qualit, ma mi ha risposto di farli
io se son capace (cosa che faccio, ma per debian). oggi ho visto
l'email di un'altra risposta, ma non l'ho ancora letta tutta.
In ogni caso io installo pacchetti da quel sito solo in ultima
istanza, e penso che per java non sia assolutamente necessario (ad
esempio, perch non usare quello che c' in archivio?)

> oracle-jdk7-installer:i386 (7u55-0~webupd8~1, 7u60-0~webupd8~0),
> libgnutls26:i386 (2.12.14-5ubuntu3.7, 2.12.14-5ubuntu3.8)
> Error: Sub-process /usr/bin/dpkg exited unexpectedly
> End-Date: 2014-06-03  09:34:15

indeed, normale fallimento, non ci vedo nulla di strano.

> Questa  una parte del log di term:
> Preparing to replace libgnutls26 2.12.14-5ubuntu3.7 (using
> .../libgnutls26_2.12.14-5ubuntu3.8_i386.deb) ...
> Unpacking replacement libgnutls26 ...
> Preparing to replace oracle-java7-installer 7u55-0~webupd8~1 (using
> .../oracle-java7-installer_7u60-0~webupd8~0_all.deb) ...
> oracle-license-v1-1 license has already been accepted

e questo  apposto,  la fase di unpacking, la parte interessante 
pi sotto, durante la fase di configure.

> Comunque ora disinstallo e reinstallo la libreria e dovrebbe essere a posto.

cos di sicuro si sistema

> Una cosa analoga mi era accaduta all'estero con un sistema installato che
> non partiva e la soluzione pi semplice mi  sembrata reinstallare tutto con
> un dvd scaricato in un internet point.
> Magari ora con i log e con il terminale potrei tentare di aggiustarlo.

con i log e un po' di pazienza si sistema tutto :)

-- 
regards,
Mattia Rizzolo

GPG Key: 4096R/B9444540 http://goo.gl/I8TMB
more about me: http://mapreri.org
Launchpad User: https://launchpad.net/~mapreri
Ubuntu Wiki page: https://wiki.ubuntu.com/MattiaRizzolo



More information about the ubuntu-it mailing list